KNOWLEDGE BASE

Error ""Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software" Installing on macOS Catalina 10.15


Published: 21 Aug 2019
Last Modified Date: 31 Oct 2019

Issue

When installing any Tableau product on macOS Catalina 10.15, an error similar to the following occurs:
"Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software. This software needs to be updated. Contact the developer for more information."
User-added image

Environment

  • macOS Catalina 10.15
  • Tableau Desktop 2019.2.1, 2019.1.5, 2018.3.8, 2018.2.11, 2018.1.14, 10.5.17, 10.4.18, 10.3.22, 10.2.22 and newer versions
  • Tableau Prep Builder 2019.2.2 and 2019.2.3
  • Tableau Reader and Tableau Public versions released after June 1, 2019

Resolution

Option 1: Upgrade to Tableau Desktop 2019.3, Tableau Prep 2019.3.1 or later versions.

The issue has been corrected in Tableau Desktop 2019.3 and Tableau Prep Builder 2019.3.1 and later versions.


Option 2: As a user with admin rights, allow the software permission to run.

  1.  Attempt to install the desired Tableau product.
  2. Click OK to dismiss the error.
  3. Navigate to System Preferences > Security & Privacy > General tab.
  4. In the bottom part of the dialog, you will see a message similar to the following:
     "Tableau Desktop.pkg" was blocked from use because it is not from an identified developer.
  5. Click the Open Anyway button. (If the Open Anyway button is not displayed, be sure to click OK on the dialog from step 2.)
    User-added image
  6. The installer will launch again and display the same warning message as before.
    Now there will be an Open button and a Cancel button.
  7. Click Open and the install will proceed.
User-added image

Option 3:  Install a pre-May 2019 version

As a workaround, versions of Tableau software which shipped before May 1 2019 can still be installed on macOS Catalina. This includes the following maintenance releases:

Tableau Desktop: 2019.2.0, 2019.1.3, 2018.3.6, 2018.2.9, 2018.1.12. 10.5.15, 10.4.16, 10.3.20
Tableau Prep: 2019.2.1 and earlier versions

NOTE: While Tableau Desktop 2019..2.0 was released in May, this version is unaffected and will install on macOS 10.15 Catalina without issue.

Install one of those versions, then use Help > Check for Product updates to install the latest maintenance release available for that version. For more information and access to older maintenance releases of Tableau products, see Product Downloads and Release Notes.

Cause

This behavior is related to a known issue with ID 946418 which is currently under investigation.
Apple has increased security requirements for software to install on macOS Catalina 10.15. 

 
Did this article resolve the issue?